##### Predefinitions #####
%define name		pymp
%define version		1.0
%define release		%mkrel 3


##### Header #####
Summary:	A lean, flexible frontend to MPlayer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-install-pathes.patch
License:	GPL
Group:		Video
BuildArch:	noarch
URL:		http://jdolan.dyndns.org/trac/wiki/Pymp
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python
Requires:	mplayer

##### Description #####
%description
Pymp is a lean, flexible frontend to MPlayer written in Python. It supports
simple playlists, web streams, and anything else that MPlayer does. Pymp aims
to blend in with your desktop environment, not stand out as many skinned
players do. 

Features:
Open files on the command line: pymp *.mp3 
Open locations: pymp http://foo.com dvd://1 
Drag and Drop files and folders to playlist 
M3U and PLS playlist format support 
Find files in playlist with ctrl+f 
Remote command execution


##### Prep, Build & Install #####
%prep
%setup -q
%patch0

%build

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pymp
GenericName=Python MPlayer
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/pixmaps/pymp.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;
EOF



##### Clean #####
%clean
rm -rf %{buildroot}


##### Files #####
%files
%defattr(-,root,root,0755)
/*

##### Changelog #####
%changelog
* Wed Aug 14 2013 billybot <billybot>
- update

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- rebuild for python 2.6.6

* Tue Jul 28 2009 johnnyblack <johnnyblack at inbox.com> 1.0-1pclos2009
- create

